﻿@using App.Erp.Context
<ul id="mainnav">
    <li v-for="i in data" v-show="i.Functions.length > 0">
        <a href="javascript:void(0)"><span class="icon" v-html="i.Icon"></span><span class="text">{{i.Name}}</span></a>
        <ul class="children">
            <li v-for="c in i.Functions">
                <a v-bind:href="c.Url"><span v-html="c.Icon"></span><span>{{c.Name}}</span></a>
            </li>
        </ul>
    </li>
</ul>

<script>
    new Vue({
        el: '#mainnav',
        data: {
            data: @Html.Raw(WorkContext.GetMenuModel())
        }
    });
</script>